ContactsList contact custom fields

List contact custom fields

GET /contacts/{contact_id}/custom_fields

curl -X GET "https://app.bualpro.com/api/contacts/123/custom_fields" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY"
[
  {
    "id": 123,
    "name": "Johan Ahmad",
    "type": 42,
    "value": "example_string"
  }
]
GET
/contacts/{contact_id}/custom_fields
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Responses

idinteger
namestring
typeinteger

0 - Text, 1 - Number, 2- Date (Unix timestamp), 3 - Date & Time (Unix timestamp), 4 - Boolean(0 or 1), 5- Long Text, 6 - Select, 7 - Multi Select

Allowed values:01234567
valuestring

type == 0 then value is string, else value is a number

Get all custom fields from a contact